## lunch 0.2.22

=== Makefile ===
all:
	@echo Usage:
	@echo sudo make install
	help2man -N -n "The Lunch Distributed Process Manager" -i ./man_lunch.txt scripts/lunch > lunch.1
	help2man -N -n "Lunch Slave" scripts/lunch-slave > lunch-slave.1
	convert -geometry 48x48 -background none lunch.svg lunch.png
	python setup.py build
	
install: all
	install scripts/lunch /usr/local/bin/lunch
	install scripts/lunch-slave /usr/local/bin/lunch-slave
	install lunch.desktop /usr/local/share/applications/
	mkdir -p /usr/local/share/pixmaps/
	install lunch.png /usr/local/share/pixmaps/
	install lunch.1 /usr/local/share/man/man1/lunch.1
	install lunch-slave.1 /usr/local/share/man/man1/lunch-slave.1
	python setup.py install --prefix=/usr/local

uninstall:
	rm -f /usr/local/bin/lunch
	rm -f /usr/local/bin/lunch-slave
	rm -f /usr/local/share/applications/lunch.desktop
	rm -f /usr/local/share/pixmaps/lunch.png
	@echo You need to manually uninstall lunch from /usr/local/lib/python2.5/site-packages
	@echo Do not forget to remove it from the easy-install.pth

doc: all
	mkdir -p html
	mkdir -p html-slave
	epydoc --html --output=html --verbose --show-imports --name="Lunch" lunch
	epydoc --html --output=html-slave --verbose --show-imports --name="Lunch Slave" scripts/lunch-slave
	rst2html README.txt lunch-readme.html

clean:
	rm -f lunch-readme.html lunch.html lunchc lunch.1 lunch-slave.1 lunch.png
	rm -rf html

check:
	trial lunch/test

=== debian/changelog ===
lunch (0.2.22-1) unstable; urgency=low

  * Initial packaging (closes: #583530)

 -- Alexandre Quessy <alexandre@quessy.net>  Tue, 01 Jun 2010 09:40:49 -0400

=== debian/control ===
Source: lunch
Section: utils
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Alexandre Quessy <alexandre@quessy.net>
Build-Depends: python, python-support (>= 0.90), debhelper (>= 7.0.50~)
Build-Depends-Indep: help2man, python-twisted, python-gtk2
XS-Python-Version: all
Standards-Version: 3.8.4
Homepage: http://svn.sat.qc.ca/trac/lunch
Vcs-Svn: svn://svn.debian.org/python-apps/packages/lunch/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/lunch/trunk/

Package: lunch
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, openssh-client, python-twisted, python-gtk2
Recommends: openssh-server
Description: distributed process launcher
 Lunch is a simple distributed process launcher and manager for GNU/Linux.
 .
 With Lunch, one can launch software processes on several different computers
 and make sure they keep running. This software was created to suit the needs
 of new media artists for live performances and interactive installations.
 It respawns the software that crash and provides a mean to manage
 dependencies between running processes.
 .
 It provides the command-line lunch utility which can be invoked with a GTK+
 user interface.
 .
 See http://svn.sat.qc.ca/trac/lunch for more information.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=python_distutils

override_dh_auto_install:
	dh_auto_install -- --install-lib=/usr/share/lunch --install-scripts=/usr/share/lunch
	cd $(CURDIR)/debian/lunch/usr/share/lunch/lunch && mv lunch ../lunch-master

=== debian/watch ===
version=3
http://alexandre.quessy.net/static/tarballs/lunch-(.*)\.tar\.gz

## lunch 0.4.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,6 @@
 all:
 	@echo Usage:
 	@echo sudo make install
-	help2man -N -n "The Lunch Distributed Process Manager" -i ./man_lunch.txt scripts/lunch > lunch.1
-	help2man -N -n "Lunch Slave" scripts/lunch-slave > lunch-slave.1
-	convert -geometry 48x48 -background none lunch.svg lunch.png
 	python setup.py build
 	
 install: all
@@ -24,12 +21,12 @@
 	@echo You need to manually uninstall lunch from /usr/local/lib/python2.5/site-packages
 	@echo Do not forget to remove it from the easy-install.pth
 
-doc: all
+html: all
 	mkdir -p html
 	mkdir -p html-slave
 	epydoc --html --output=html --verbose --show-imports --name="Lunch" lunch
 	epydoc --html --output=html-slave --verbose --show-imports --name="Lunch Slave" scripts/lunch-slave
-	rst2html README.txt lunch-readme.html
+	rst2html README lunch-readme.html
 
 clean:
 	rm -f lunch-readme.html lunch.html lunchc lunch.1 lunch-slave.1 lunch.png

=== debian/changelog ===
lunch (0.4.0-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Andrey Rahmatullin ]
  * Port from python-support to dh-python (Closes: #786129)

 -- Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>  Wed, 02 Sep 2015 22:19:57 +0500

lunch (0.4.0-1) unstable; urgency=low

  * New upstream release
  * Renamed binary package to python-lunch

 -- Alexandre Quessy <alexandre@quessy.net>  Wed, 05 Jan 2011 12:10:44 -0500

=== debian/control ===
Source: lunch
Section: python
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Alexandre Quessy <alexandre@quessy.net>
Build-Depends: python, dh-python, debhelper (>= 7.0.50~), python-setuptools
Build-Depends-Indep: help2man, python-twisted-core, python-gtk2
XS-Python-Version: all
Standards-Version: 3.9.1
Homepage: http://svn.sat.qc.ca/trac/lunch
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/lunch/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/lunch/trunk/

Package: python-lunch
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, openssh-client, python-twisted-core
Conflicts: lunch (<< 0.4.0-1)
Replaces: lunch (<< 0.4.0-1)
Recommends: openssh-server, xterm, python-gtk2
Description: distributed process launcher
 Lunch is a simple distributed process launcher and manager for GNU/Linux.
 .
 With Lunch, one can launch software processes on several different computers
 and make sure they keep running. This software was created to suit the needs
 of new media artists for live performances and interactive installations.
 It respawns the software that crash and provides a mean to manage
 dependencies between running processes.
 . 
 This package provides the lunch library for Python. as well as the
 command-line lunch utility which can be invoked with a GTK+ user interface.

Package: lunch
Architecture: all
Depends: ${misc:Depends}, python-lunch
Description: Transitional package for python-lunch
 This is a transitional package for python-lunch, and can be safely removed
 after the installation is complete.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=python_distutils --with python2

=== debian/watch ===
version=3
http://tarballs.quessy.net/lunch-(.*)\.tar\.gz
